import {terser} from 'rollup-plugin-terser';

export default {
    external: [
        'jquery',
        'jquery-ui',
        'jquery.cookie'
    ],
    input: 'build-config/entrypoints/js-base.js',
    output: [
        {
            dir: 'dist',
            entryFileNames: 'jquery.uhr.base.js',
            format: 'cjs'
        },
        {
            dir: 'dist',
            entryFileNames: 'jquery.uhr.base.min.js',
            format: 'cjs',
            plugins: [terser()]
        }
    ]
}
